QB_ATOMIC_INT_GET(3)

NAME
qb_atomic_int_get - Reads the value of the integer pointed to by atomic.

SYNOPSIS
#include <qb/qbatomic.h>

int32_t qb_atomic_int_get(
    volatile int32_t QB_GNUC_MAY_ALIAS   *atomic   /* a pointer to an integer*/
);

PARAMS
atomic a pointer to an integer

DESCRIPTION

Also acts as a memory barrier.

RETURN VALUE

the value of atomic

SEE ALSO

qb_atomic_int_set(3), qb_atomic_int_compare_and_exchange(3), qb_atomic_int_add(3), qb_atomic_init(3), qb_atomic_pointer_get(3), qb_atomic_int_exchange_and_add(3), qb_atomic_pointer_compare_and_exchange(3), qb_atomic_pointer_set(3)

COPYRIGHT

Copyright (C) 2003 Sebastian Wilhelmi